<html>
    <head>
        <title>Tablab - Students</title>
        <%include ../partials/head %>
		<link rel='stylesheet' href="/css/modal-style.less" />
        
        <style>
            label {
                width:100%;
                font-size: 16px;
                font-size: 1.2vw;
                margin: 10px auto;
                height: 15px;
            }

            h3 {
                margin-left: 5px;
                margin-right: 5px;
                padding: 5px;
                border: 2px solid #ffcccc;
                border-radius: 5px;
                background-color: #c11925;
                color: white;
            }

            table, th {
                font-size: 16px;
                font-size: 1.2vw;
                text-align: center;
            }
            table, td {
                font-size: 16px;
                font-size: 1.2vw;
                text-align: center;
            }
        </style>

    </head>

	<body>
        <%include ../partials/reportsHeader %>
        
		<div class="form-group" style="display:none;">
			<input id="uid" class="form-control" value="<%= uid%>" disabled>
			<input id="did" class="form-control" value="<%= did%>" disabled>
			<input id="username" class="form-control" value="<%= name%>" disabled>
		</div>

		<div class="container col-md-12" style="margin-top:0px; margin-bottom:10px;">
			<ul id="ul-pills" class="nav nav-pills sky">
                <li class="active">
                    <a href="#0" data-toggle="tab">Students</a>
				</li>
                <li class="">
                    <a href="#1" data-toggle="tab">Add Students</a>
				</li>
			</ul>

            <div id="pills-div" class="tab-content clearfix" style="disp">
                <div class="tab-pane row active" id="0">
					<div class="col-lg-12 col-md-12 col-xs-12">
		                <div class="table-responsive" style="border:solid thin #999999; border-radius: 5px; padding-top:0px; margin-top:0px;margin-bottom:0px"> 
							<h3 align="center">
								Students
							</h3>
							<hr>
                            <table class="table table-striped">
                                <thead>
                                    <tr>
                                        <th><i class="fa fa-child" aria-hidden="true"></i>&nbsp Student Name</th>
                                        <th></i>&nbsp Class</th>
                                        <th><i class="fa fa-key" aria-hidden="true"></i>&nbsp Username</th>
                                        <th><i class="fa fa-key" aria-hidden="true"></i>&nbsp Paasword</th>
                                        <th><i class="fa fa-envelope" aria-hidden="true"></i>&nbsp Email</th>
                                        <th><i class="fa fa-phone" aria-hidden="true"></i>&nbsp Contact</th>
<!--                                        <th><i class="fa fa-book" aria-hidden="true"></i>&nbsp Status</th> -->
                                        <th>&nbsp Edit</th>
                                        <th>&nbsp Delete</th>
                                    </tr>
                                </thead>
                                <tbody id="studentRecords">
                                </tbody>
                            </table>
						</div>
					</div>  
				</div>
                <div class="tab-pane" id="1"  style="border:solid thin #999999; border-radius: 5px; padding-top:0px; margin-top:0px;margin-bottom:0px">
                    <div class="panel panel-login">
                        <h3 align="center">
                            Add Student(s)
                        </h3>
                        <hr>

                        <div id="loader" style="display:none;">
                            <div class="loader">Loading...</div>
                        </div>

                        <div class="panel-body">
                            <div class="row">
                                <div class="col-lg-8" style="border-right:2px solid black">
                                    <form id="form" role="form" style="display:block;">
                                        <div id="mainDiv">
                                            <!-- [START] Loader on submit of student details -->
                                            <div id="addStudentLoader" class="overlay" style="display:none;">
                                                <div class="loader"></div>
                                            </div>
                                            <!-- Loader [END] -->                                            

                                            <div id="studentInfo" class="form-group studentInfo">
                                                <div class="form-group row">
                                                    <div class="col-md-6">
                                                        <label>First name:</label>
                                                        <input id="studentFirstName" class="form-control studentName" type="text" placeholder="First Name" />
                                                        <span style="color:red; display:none">Student's First name is mandatory</span>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <label>Last name:</label>
                                                        <input id="studentLastName" class="form-control studentName" type="text" placeholder="Last Name" />
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <label>Select Class</label>
                                                    <select id="studentClass" class="form-control studentClass" required>
                                                        <option disabled selected value> Class </option>
                                                        <% for(key in classes) {%>
                                                            <option><%= classes[key]%></option>
                                                        <%}%>
                                                    </select>
                                                    <span style="color:red; display:none">Select a class</span>
                                                </div>
                                                <div class="form-group row">
                                                    <div class="col-md-6">
                                                        <label>Username</label>
                                                        <input id="inputUsername" class="form-control" type="text" placeholder="Username" disabled/>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <label>Password</label>
                                                        <input id="inputPassword" class="form-control" type="passowrd" placeholder="Password" disabled/>
                                                    </div>
                                                </div>
                                                <div class="form-group row">
                                                    <div class="col-md-6">
                                                        <label>Email Address</label>
                                                        <input id="inputEmail" class="form-control" type="email" placeholder="Email Address (Optional)" />
                                                    </div>
                                                    <div class="col-md-6">
                                                        <label>Contact Number</label>
                                                        <input id="inputContactNumber" class="form-control" type="tel" placeholder="Contact Number (Optional)" />
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <div class="row">
                                                        <div class="col-md-offset-3 col-md-6">
                                                            <input type="submit" class="red-round" id="btnAddStudent" value="ADD">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                                <div class="col-lg-4">
                                    <input type="file" class="red-round" id="uploadCSV" value="Upload a CSV" />
                                    <a href="downloadSampleCSVForStudentInfo">
                                        <button class="red-round" id="downloadSample">Download Sample CSV</button>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
		</div>

		<!-- modal -->
		<div id="modalDiv"
			class="modal animated bounceIn"
			tabindex="-1"
			role="dialog"
			aria-labelledby="myModalLabel"
			aria-hidden="true">

			<!-- dialog -->
			<div class="modal-dialog">

				<!-- content -->
				<div class="modal-content">

                    <!-- header -->
					<div class="modal-header">
                        <div class="row">
                            <div class="col-lg-10 col-md-10">
                                <h3 align="center">
                                    Students
                                </h3>
                            </div>
                            <div class="col-lg-2 col-md-2" style="padding:5px; float:right">
                                <h4>
                                    <button class="btn btn-default"
                                            id="btnCloseModal"
                                            data-dismiss="modal">
                                        close
                                    </button>
                                </h4>
                            </div>
                        </div>
                    </div>

					<!-- body -->
					<div class="modal-body">
						<div id="pills-div" class="tab-content clearfix" style="border:solid thin #999999; border-radius: 5px; padding-top:0px; margin-top:0px;margin-bottom:0px disp">
							<div class="tab-pane row active" id="11a" style="margin:5px;">
								<div class="panel-body col-lg-12 col-md-12 col-xs-12">
                                    <div class="">
                                        <div class="table-responsive" style=""> 
                                            <div id="newStudentsLoader" class="" style="display:block;">
                                                <div class="loader"></div>
                                            </div>

                                            <hr>
                                            <table class="table table-striped">
                                                <thead>
                                                    <tr>
                                                        <th><i class="fa fa-child" aria-hidden="true"></i>&nbsp Student Name</th>
                                                        <th></i>&nbsp Class</th>
                                                        <th><i class="fa fa-key" aria-hidden="true"></i>&nbsp Username</th>
                                                        <th><i class="fa fa-key" aria-hidden="true"></i>&nbsp Paasword</th>
                                                        <th><i class="fa fa-envelope" aria-hidden="true"></i>&nbsp Email</th>
                                                        <th><i class="fa fa-phone" aria-hidden="true"></i>&nbsp Contact</th>
                                                        <th><i class="fa fa-book" aria-hidden="true"></i>&nbsp Status</th>
                                                        <th>&nbsp Edit</th>
                                                        <th>&nbsp Delete</th>
                                                    </tr>
                                                </thead>
                                                <tbody id="tbNewStudentsFromFile">
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>  
								</div>
							</div>
						</div>
					</div>

   					<!-- footer -->
					<div class="modal-footer">
                        <div class="row">
                            <div class="col-md-3">
                            </div>
                            <div class="col-md-6">
                                <input type="submit" class="blue-round" id="buttonAddAll" value="ADD ALL"/>
                            </div>
                            <div class="col-md-3">
                            </div>
                        </div>
					</div>
					<!-- footer -->
				</div>
			</div>
		</div>
    </body>
    <script src='/js/3-6-10-firebase.js'></script>
    <script src="/js/functions.js"></script>
    <script src='/js/loginHandler.js'></script>
    <script src='/js/validationRegex.js'></script>
    <script src="/js/addStudents.js"></script>
</html>